from subprocess import Popen, PIPE, STDOUT
from web_utils.business_exception import BusinessException

def run(cmd):
	p = Popen(cmd, stdout = PIPE, stderr = STDOUT, shell = True)
	outputStr = ""
	for line in p.stdout:
		outputStr += line.decode()

	p.wait()

	if p.returncode != 0:
		raise BusinessException("Command failed ("+str(p.returncode)+")\n"+cmd+"\n"+outputStr)

	return outputStr
